classification
Title: pickletools.py treats 32bit lengths as signed, but pickle.py as unsigned
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.4, Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: alexandre.vassalotti Nosy List: alexandre.vassalotti, jcea, pitrou, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2012-11-25 12:17 by serhiy.storchaka, last changed 2013-04-15 19:43 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
pickletools_uint4.patch serhiy.storchaka, 2012-11-25 12:17 review
Messages (4)
msg176344 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-11-25 12:17
Since issue12848 some lengths in pickle module treated as unsigned, however pyckletools module treats all 32-bit lengths as signed. The proposed patch adds support of unsigned 32-bit lengths.
msg177552 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-12-15 19:28
Does it need additional tests?
msg177563 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-12-15 20:54
Lib/test/pickletester.py contains some bigmem tests, they can be modified to cover issue12848 and this issue. But I can't run this tests.
msg186907 - (view) Author: Roundup Robot (python-dev) Date: 2013-04-14 10:45
New changeset 4ced30417300 by Alexandre Vassalotti in branch '3.3':
Issue #16550: Update the opcode descriptions of pickletools to use unsigned
http://hg.python.org/cpython/rev/4ced30417300
History
Date User Action Args
2013-04-15 19:43:59serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka -> alexandre.vassalotti
resolution: fixed
stage: patch review -> resolved
2013-04-14 10:45:22python-devsetnosy: + python-dev
messages: + msg186907
2012-12-29 21:56:22serhiy.storchakasetassignee: serhiy.storchaka
2012-12-15 20:54:54serhiy.storchakasetmessages: + msg177563
2012-12-15 19:28:58pitrousetmessages: + msg177552
2012-11-26 17:18:00jceasetnosy: + jcea
2012-11-25 12:17:16serhiy.storchakacreate